# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::SelectionExtDCOPInterface Class Reference

DCOP interface for the SelectionInterfaceExt. More...

`#include <selectionextdcopinterface.h>`

Inheritance diagram for KTextEditor::SelectionExtDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::SelectionExtDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions

int | selStartLine ()
int | selStartCol ()
int | selEndLine ()
int | selEndCol ()

## Public Member Functions

| SelectionExtDCOPInterface (SelectionInterfaceExt *parent, const char *name)

## Detailed Description

DCOP interface for the SelectionInterfaceExt.

Author:
  Anders Lund <anders@alweb.dk>

Definition at line 36 of file selectionextdcopinterface.h.

## Member Function Documentation

int SelectionExtDCOPInterface::selStartLine | ( |  | ) |

| The selection start line number. Definition at line 96 of file selectioninterfaceext.cpp.

int SelectionExtDCOPInterface::selStartCol | ( |  | ) |

| The selection start col. Definition at line 101 of file selectioninterfaceext.cpp.

int SelectionExtDCOPInterface::selEndLine | ( |  | ) |

| The selection end line. Definition at line 106 of file selectioninterfaceext.cpp.

int SelectionExtDCOPInterface::selEndCol | ( |  | ) |

| The selection end col. Definition at line 111 of file selectioninterfaceext.cpp.

The documentation for this class was generated from the following files:

- selectionextdcopinterface.h
- selectioninterfaceext.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:17 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003